{
  inputs = {
    nixpkgs.url = "nixpkgs/nixos-unstable";
    nixpkgs-stable.url = "nixpkgs/nixos-22.11";

    home-manager = {
      url = "github:nix-community/home-manager/master";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    impermanence.url = "github:nix-community/impermanence";
    nixos-hardware.url = "github:NixOS/nixos-hardware/master";
    darwin = {
      url = "github:lnl7/nix-darwin/master";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = { self, nixpkgs, nixpkgs-stable, nixos-hardware, home-manager
    , impermanence, darwin }@inputs: {
      nixosConfigurations = {
        trantor = nixpkgs.lib.nixosSystem {
          system = "x86_64-linux";
          specialArgs = {
            # unstablePkgs = nixpkgs-unstable.legacyPackages."x86_64-linux";
            stablePkgs = nixpkgs-stable.legacyPackages."x86_64-linux";
            impermanence = impermanence;
          };

          modules = [
            ./trantor.nix
            home-manager.nixosModules.home-manager
            impermanence.nixosModules.impermanence
          ];
        };

        capibara = nixpkgs.lib.nixosSystem {
          system = "x86_64-linux";
          specialArgs = {
            # unstablePkgs = nixpkgs-unstable.legacyPackages."x86_64-linux";
            stablePkgs = nixpkgs-stable.legacyPackages."x86_64-linux";
            impermanence = impermanence;
          };

          modules = [
            ./capibara.nix
            nixos-hardware.nixosModules.lenovo-thinkpad-x230
            home-manager.nixosModules.home-manager
            impermanence.nixosModules.impermanence
          ];
        };
      };

      darwinConfigurations.echidna = darwin.lib.darwinSystem {
        system = "x86_64-darwin";
        modules = [ ./echidna.nix home-manager.darwinModule ];
      };
    };
}
