{ config, pkgs, ... }:

{
  # nix-env -f '<nixpkgs>' -qaP -A nur.repos.rycee.firefox-addons
  programs.firefox = {
    enable = true;
    # maybe enable tridactyl?
    # nix-env -f '<nixpkgs>' -qaP -A nur.repos.rycee.firefox-addons
    # extensions = with pkgs.nur.repos.rycee.firefox-addons; [
    #   browserpass
    #   canvasblocker
    #   clearurls
    #   cookie-autodelete
    #   darkreader
    #   floccus
    #   foxyproxy-standard
    #   https-everywhere
    #   i-dont-care-about-cookies
    #   localcdn
    #   noscript
    #   privacy-possum
    #   privacy-redirect
    #   ublock-origin
    #   vimium
    #   # todo: AdNauseam, wallabagger, DownThemAll! Wayback Machine
    # ];
    profiles = {
      default = {
        id = 0;
        name = "default";
        isDefault = true;
        settings = {
          # change some values from arkenfox's defaults
          "privacy.resistFingerprinting" =
            false; # if true, this would the window size to rounded dimensions, which is too annoying on a tiling window manager
          "extensions.pocket.enabled" = false;
          "identity.fxaccounts.enabled" = false;
          "browser.search.suggest.enabled" = true;
          "browser.urlbar.suggest.searches" = true;
          "keyword.enable" = true;

          # for Firefox-UI-Fix
          "toolkit.legacyUserProfileCustomizations.stylesheets" = true;
          "browser.proton.enabled" = true;
          "svg.context-properties.content.enabled" = true;
          "layout.css.backdrop-filter.enabled" = true;
          "browser.compactmode.show" = true;
          "browser.urlbar.suggest.calculator" = true;

          "browser.uidensity" = 1;

          # "browser.search.region" = "GB";
          # "browser.search.isUS" = false;
          # "distribution.searchplugins.defaultLocale" = "en-GB";
          # "general.useragent.locale" = "en-GB";
          # "browser.bookmarks.showMobileBookmarks" = true;
        };
      };
    };
  };
}
