{ config, pkgs, ... }:

{
  home = {
    packages = [ pkgs.cheat ];
    file.".config/cheat/conf.yml".text = pkgs.lib.generators.toYAML { } {

      # The editor to use with 'cheat -e <sheet>'. Defaults to $EDITOR or $VISUAL.
      editor = "${pkgs.neovim}/bin/nvim";

      colorize = true;

      # chroma formatter, options are available here:
      # https://github.com/alecthomas/chroma/tree/master/styles
      style = "monokai";

      # one of: "terminal", "terminal256", "terminal16m"
      formatter = "terminal16m";

      cheatpaths = [{
        name = "personal";
        path = "${config.home.homeDirectory}/configs/cheatsheets";
        tags = [ "personal" ];
        readonly = false;
      }];

    };
  };
}
