{ config, pkgs, ... }:

let
  bemenuColors = {
    titleBackground = "#282828E0";
    titleForeground = "#fbf1c7";
    filterBackground = "#282828E0";
    filterForeground = "#ebdbb2";
    normalBackground = "#282828E0";
    normalForeground = "#ebdbb2";
    highlightedBackground = "#458588E0";
    highlightedForeground = "#fbf1c7";
    scrollbarBackground = "#282828E0";
    scrollbarForeground = "#458588E0";
  };
in {
  home.packages = [ pkgs.bemenu pkgs.tessen ];
  home.sessionVariables.BEMENU_OPTS = ''
    --ignorecase \
    --list 20 \
    --prompt '❯' \
    --scrollbar none \
    --wrap \
    --scrollbar autohide \
    --no-overlap \
    --monitor all \
    --fn 'Inter 13px' \
    --tb '${bemenuColors.titleBackground}' \
    --tf '${bemenuColors.titleForeground}' \
    --fb '${bemenuColors.filterBackground}' \
    --ff '${bemenuColors.filterForeground}' \
    --nb '${bemenuColors.normalBackground}' \
    --ab '${bemenuColors.normalBackground}' \
    --nf '${bemenuColors.normalForeground}' \
    --af '${bemenuColors.normalForeground}' \
    --hb '${bemenuColors.highlightedBackground}' \
    --hf '${bemenuColors.highlightedForeground}' \
    --scb '${bemenuColors.scrollbarBackground}' \
    --scf '${bemenuColors.scrollbarForeground}'
  '';

  home.file.tessen_config = {
    target = "${config.xdg.configHome}/tessen/config";
    text = ''
      pass_backend="pass"
      dmenu_backend="bemenu"
      action="autotype"
    '';
  };
}
