{ config, pkgs, ... }:

let
  font-name = "Hack Nerd Font";
  font-size = "10";
in {
  programs.foot = {
    enable = true;
    server.enable = true;
    settings = {
      main = {
        shell = "${pkgs.tmux}/bin/tmux -u";
        font = "${font-name}:size=${font-size}:style=Regular";
        font-bold = "${font-name}:size=${font-size}:style=Bold";
        font-italic = "${font-name}:size=${font-size}:style=Italic";
        font-bold-italic = "${font-name}:size=${font-size}:style=Bold Italic";
        dpi-aware = "no";
        selection-target = "both";
      };
      colors = {
        alpha = 0.9;
        background = "282828";
        foreground = "ebdbb2";

        regular0 = "282828"; # black
        regular1 = "cc241d"; # red
        regular2 = "98971a"; # green
        regular3 = "d79921"; # yellow
        regular4 = "458588"; # blue
        regular5 = "b16286"; # magenta
        regular6 = "689d6a"; # cyan
        regular7 = "ebdbb2"; # white

        bright0 = "928374"; # black
        bright1 = "fb4934"; # red
        bright2 = "b8bb26"; # green
        bright3 = "fabd2f"; # yellow
        bright4 = "83a598"; # blue
        bright5 = "d3869b"; # magenta
        bright6 = "8ec07c"; # cyan
        bright7 = "ebdbb2"; # white
      };
    };
  };

}
