{ config, pkgs, ... }:

{
  home.packages = with pkgs; [ kanshi ];

  services.kanshi = {
    enable = true;
    systemdTarget = "river-session.target";
    profiles = {

      capibara_standalone = {
        outputs = [{
          criteria = "LVDS-1";
          mode = "1366x768@60Hz";
          status = "enable";
        }];
      };

      capibara_docked = {
        outputs = [
          {
            criteria = "LVDS-1";
            status = "disable";
          }
          {
            criteria = "BNQ BenQ GW2780 L9K0033101Q";
            mode = "1920x1080@60Hz";
          }
        ];
      };

      capibara_docked2 = {
        outputs = [
          {
            criteria = "LVDS-1";
            status = "disable";
          }
          {
            criteria = "BenQ Corporation BenQ GW2780 L9K0033101Q";
            mode = "1920x1080@60Hz";
          }
        ];
      };

      capibara_docked_wide = {
        outputs = [
          {
            criteria = "LVDS-1";
            status = "disable";
          }
          {
            criteria = "Samsung Electric Company C49RG9x H1AK500000";
            mode = "3840x1080@60Hz";
          }
        ];
      };

      trantor = {
        outputs = [
          {
            criteria = "eDP-1";
            status = "disable";
          }
          {
            criteria = "BenQ Corporation BenQ GW2780 L9K0033101Q";
            mode = "1920x1080@60Hz";
          }
        ];
      };

    };
  };
}
