{ config, pkgs, ... }:
let
  gruvbox-dark = {
    bg = "#282828";
    bg1 = "#3c3836";
    bg2 = "#504945";

    fg = "#ebdbb2";
    fg0 = "#fbf1c7";
    fg3 = "#bdae93";

    red = "#cc241d";
    green = "#98971a";
    yellow = "#d79921";
    blue = "#458588";
    purple = "#b16286";
    aqua = "#689d6a";
    gray = "#a89984";

    gray2 = "#928374";
    red-light = "#fb4934";
    green-light = "#b8bb26";
    yellow-light = "#fabd2f";
    blue-light = "#83a598";
    purple-light = "#d3869b";
    aqua-light = "#8ec07c";

  };
  colors = {
    fg = gruvbox-dark.fg;
    selFg = gruvbox-dark.fg0;
    bg = gruvbox-dark.bg;
    sel = gruvbox-dark.blue;
    inactive = gruvbox-dark.gray;
    inactiveBorder = gruvbox-dark.bg2;
    urgent = gruvbox-dark.red;
  };
  monoFontSize = "9";
  monoFont = {
    name = "Hack";
    size = monoFontSize;
  };
in {

  programs.zathura = {
    enable = true;
    options = {
      font = "${monoFont.name} ${monoFont.size}";
      default-bg = colors.bg;
      default-fg = gruvbox-dark.bg1;
      statusbar-fg = gruvbox-dark.fg3;
      statusbar-bg = gruvbox-dark.bg2;
      inputbar-bg = colors.bg;
      inputbar-fg = colors.sel;
      notification-bg = colors.bg;
      notification-fg = colors.sel;
      notification-error-bg = colors.bg;
      notification-error-fg = gruvbox-dark.red-light;
      notification-warning-bg = colors.bg;
      notification-warning-fg = gruvbox-dark.red-light;
      highlight-color = gruvbox-dark.yellow-light;
      highlight-active-color = gruvbox-dark.blue-light;
      completion-bg = gruvbox-dark.bg1;
      completion-fg = gruvbox-dark.blue-light;
      completion-highlight-fg = colors.selFg;
      completion-highlight-bg = gruvbox-dark.blue-light;
      recolor-lightcolor = colors.bg;
      recolor-darkcolor = colors.fg;
      recolor = false;
      recolor-keephue = false;
    };
  };
}
