{ config, pkgs, ... }:

{
  imports = [ ./sway.nix ./waybar.nix ./bemenu.nix ];

  home.packages = with pkgs; [
    swaylock
    swayidle
    wl-clipboard
    wtype
    brightnessctl
    foot
  ];

  programs.mako = {
    enable = true;
    actions = true;
    anchor = "top-right";
    backgroundColor = "#282828E6";
    borderColor = "#458588";
    borderRadius = 0;
    borderSize = 1;
    font = "Inter 10";
    icons = true;
    textColor = "#ebdbb2";
    defaultTimeout = 5000;
  };

  home.file.".config/swaylock/config".text = ''
    ignore-empty-password
    font=Inter

    color=282828E6
    inside-color=504945
    ring-color=504945
    line-color=504945
    separator-color=504945

    inside-clear-color=FE8019
    line-clear-color=FE8019
    ring-clear-color=FE8019

    inside-ver-color=458588
    line-ver-color=458588
    ring-ver-color=458588

    inside-wrong-color=CC241D
    line-wrong-color=CC241D
    ring-wrong-color=CC241D

    key-hl-color=B8BB26
    bs-hl-color=FB4934

    text-color=282828
    text-clear-color=282828
    text-ver-color=282828
    text-wrong-color=282828
  '';

  programs.zsh.loginExtra = ''
    [[ -z "''${DISPLAY}" ]] && [[ "$(tty)" = "/dev/tty1" ]] && \
        exec ${pkgs.sway}/bin/sway 1> "${config.home.homeDirectory}/.sway-errors" 2>&1
  '';
}
