{ config, pkgs, ... }:

let
  desktopConfig = import ./desktop_config.nix {
    config = config;
    pkgs = pkgs;
  };
in desktopConfig // {
  imports = [ ./common.nix ./autorandr/capibara.nix ];
  home.file.".xinitrc".text = ''
    exec ${config.home.homeDirectory}/.xsession
  '';

  services.picom = {
    enable = true;
    fade = false;
    shadow = true;
    shadowExclude = [ "name ~= 'stalonetray'" ];
    vSync = true;
  };
}
