{ config, pkgs, ... }:

let wallpapers = "${config.home.homeDirectory}/Images/wallpapers/enabled";
in {
  services.random-background = {
    enable = true;
    enableXinerama = true;
    display = "fill";
    imageDirectory = wallpapers;
  };

  systemd.user.services.xbanish = {
    Unit = {
      Description = "Xbanish";
      After = [ "graphical-session-pre.target" ];
      PartOf = [ "graphical-session.target" ];
    };
    Service = {
      Type = "simple";
      ExecStart = "${pkgs.xbanish}/bin/xbanish";
    };
    Install = { WantedBy = [ "graphical-session.target" ]; };
  };
}
