{ config, pkgs, ... }:

let
  desktopConfig = import ./desktop_config.nix {
    config = config;
    pkgs = pkgs;
    fontSize = "11";
    monoFontSize = "13";
  };
in desktopConfig // {
  imports = [ ./common.nix ./autorandr/trantor.nix ];

  services.picom = {
    enable = true;
    fade = false;
    shadow = true;
    backend = "glx";
    shadowExclude = [ "name ~= 'stalonetray'" ];
    settings.unredir-if-possible = false;
    vSync = true;
  };

  home.file.".xinitrc".text = ''
    ${pkgs.xorg.xrandr}/bin/xrandr --setprovideroutputsource modesetting NVIDIA-0
    ${pkgs.xorg.xrandr}/bin/xrandr --auto
    ${pkgs.acpilight}/bin/xbacklight -set 100
    exec ${config.home.homeDirectory}/.xsession
  '';
}
