{ config, pkgs, ... }:

let woodpecker-cli = pkgs.callPackage ./woodpecker-cli.nix { inherit pkgs; };
in {
  home.packages = [ pkgs.diff-so-fancy pkgs.tig pkgs.tea woodpecker-cli ];

  programs.git = {
    enable = true;
    userName = "Ricard Illa";
    signing = {
      key = "0x8333CFB0B9D3244D";
      signByDefault = true;
    };
    # delta = maybe?
    extraConfig = {
      core = {
        editor = "${pkgs.neovim}/bin/nvim";
        pager =
          "${pkgs.diff-so-fancy}/bin/diff-so-fancy | ${pkgs.less}/bin/less --tabs=4 -RFX";
      };
      color.ui = true;
      pull.rebase = false;
      init.defaultBranch = "main";
      diff-so-fancy.stripLeadingSymbols = false;
    };
  };
}
