{ config, pkgs, ... }:

let
  shell = "${pkgs.dash}/bin/dash";
  lf = "${pkgs.lf}/bin/lf";
  rm = "${pkgs.coreutils-full}/bin/rm";
  mkdir = "${pkgs.coreutils-full}/bin/mkdir";
  mkfifo = "${pkgs.coreutils-full}/bin/mkfifo";
  lfcache = "${config.home.homeDirectory}/.cache/lf";
in pkgs.writeScriptBin "lf-wrapper" ''
  #!${shell}

  set -e

  export LF_ICONS="\
  tw=:\
  st=:\
  ow=:\
  dt=:\
  di=:\
  fi=:\
  ln=:\
  or=:\
  ex=:\
  *.c=:\
  *.cc=:\
  *.clj=:\
  *.coffee=:\
  *.cpp=:\
  *.css=:\
  *.d=:\
  *.dart=:\
  *.erl=:\
  *.exs=:\
  *.fs=:\
  *.go=:\
  *.h=:\
  *.hh=:\
  *.hpp=:\
  *.hs=:\
  *.html=:\
  *.java=:\
  *.jl=:\
  *.js=:\
  *.json=:\
  *.lua=:\
  *.md=:\
  *.php=:\
  *.pl=:\
  *.pro=:\
  *.py=:\
  *.rb=:\
  *.rs=:\
  *.scala=:\
  *.ts=:\
  *.vim=:\
  *.cmd=:\
  *.ps1=:\
  *.sh=:\
  *.bash=:\
  *.zsh=:\
  *.fish=:\
  *.tar=:\
  *.tgz=:\
  *.arc=:\
  *.arj=:\
  *.taz=:\
  *.lha=:\
  *.lz4=:\
  *.lzh=:\
  *.lzma=:\
  *.tlz=:\
  *.txz=:\
  *.tzo=:\
  *.t7z=:\
  *.zip=:\
  *.z=:\
  *.dz=:\
  *.gz=:\
  *.lrz=:\
  *.lz=:\
  *.lzo=:\
  *.xz=:\
  *.zst=:\
  *.tzst=:\
  *.bz2=:\
  *.bz=:\
  *.tbz=:\
  *.tbz2=:\
  *.tz=:\
  *.deb=:\
  *.rpm=:\
  *.jar=:\
  *.war=:\
  *.ear=:\
  *.sar=:\
  *.rar=:\
  *.alz=:\
  *.ace=:\
  *.zoo=:\
  *.cpio=:\
  *.7z=:\
  *.rz=:\
  *.cab=:\
  *.wim=:\
  *.swm=:\
  *.dwm=:\
  *.esd=:\
  *.jpg=:\
  *.jpeg=:\
  *.mjpg=:\
  *.mjpeg=:\
  *.gif=:\
  *.bmp=:\
  *.pbm=:\
  *.pgm=:\
  *.ppm=:\
  *.tga=:\
  *.xbm=:\
  *.xpm=:\
  *.tif=:\
  *.tiff=:\
  *.png=:\
  *.svg=:\
  *.svgz=:\
  *.mng=:\
  *.pcx=:\
  *.mov=:\
  *.mpg=:\
  *.mpeg=:\
  *.m2v=:\
  *.mkv=:\
  *.webm=:\
  *.ogm=:\
  *.mp4=:\
  *.m4v=:\
  *.mp4v=:\
  *.vob=:\
  *.qt=:\
  *.nuv=:\
  *.wmv=:\
  *.asf=:\
  *.rm=:\
  *.rmvb=:\
  *.flc=:\
  *.avi=:\
  *.fli=:\
  *.flv=:\
  *.gl=:\
  *.dl=:\
  *.xcf=:\
  *.xwd=:\
  *.yuv=:\
  *.cgm=:\
  *.emf=:\
  *.ogv=:\
  *.ogx=:\
  *.aac=:\
  *.au=:\
  *.flac=:\
  *.m4a=:\
  *.mid=:\
  *.midi=:\
  *.mka=:\
  *.mp3=:\
  *.mpc=:\
  *.ogg=:\
  *.ra=:\
  *.wav=:\
  *.oga=:\
  *.opus=:\
  *.spx=:\
  *.xspf=:\
  *.pdf=:\
  *.nix=:\
  "

  if [ -n "$SSH_CLIENT" ] || [ -n "$SSH_TTY" ]; then
      ${lf} "$@"
  else
      [ ! -d "${lfcache}" ] && ${mkdir} -p "${lfcache}"
      ${lf} "$@" 3>&-
  fi
''
