{
  pkgs ? import <nixpkgs> {},
  stdenv ? pkgs.stdenv,
}:

stdenv.mkDerivation rec {
  pname = "atracdenc";
  version = "0.1.0";

  src = pkgs.fetchFromGitHub {
    owner = "dcherednik";
    repo = "atracdenc";
    rev = "62ced878b526d49e5ef6ad42ca2eb7efc874867a";
    sha256 = "1azjs0sbd5yc505ky2rf7l9m0lci6fkixazd85rdb8n678da5dfz";
  };

  buildInputs = [
    pkgs.gnumake
    pkgs.cmake
    pkgs.libsndfile
  ];

  configurePhase = ''
    mkdir src/build
    cd src/build
    cmake ../
  '';

  buildPhase = ''
    make
  '';

  installPhase = ''
    mkdir -p $out/bin
    mv atracdenc $out/bin
  '';
}
