{ pkgs, stdenv, lib, qtbase, wrapQtAppsHook }:

stdenv.mkDerivation rec {
  pname = "linux-minidisc";
  version = "0.1.0";

  src = pkgs.fetchFromGitHub {
    owner = "linux-minidisc";
    repo = "linux-minidisc";
    rev = "0aa2c4eeb2c3f136f1cd039e2818837812cf8891";
    sha256 = "140hvg55hdwp5j3qcrsazy4vf29qb3k4lnkm453bmykspn8ylbv2";
  };

  nativeBuildInputs = [ wrapQtAppsHook ];

  buildInputs = [
    pkgs.glib
    pkgs.libgcrypt
    pkgs.libid3tag
    pkgs.libmad
    pkgs.libsForQt5.full
    pkgs.libusb1
    pkgs.pkg-config
    pkgs.taglib
  ];

  configurePhase = ''
    qmake
  '';

  buildPhase = ''
    make
  '';

  installPhase = ''
    mkdir -p "$out/bin"
    mv netmdcli/netmdcli "$out/bin"
    mv himdcli/himdcli "$out/bin"
    mv qhimdtransfer/qhimdtransfer "$out/bin"
  '';
}
