{ config, pkgs, ... }:

let master-host = "music.monotremata.xyz";
in {
  imports = [ ./common.nix ];
  home.packages = [ pkgs.mpc_cli pkgs.mpdris2 ];
  services.mpdris2 = {
    enable = true;
    notifications = false;
    mpd = {
      host = "localhost";
      musicDirectory = null;
    };
  };
  services.mpd = {
    enable = true;
    musicDirectory = "https://${master-host}";
    dbFile = null;
    network = {
      listenAddress = "any";
      port = 6600;
    };
    extraConfig = ''
      audio_output {
          type "pipewire"
          name "pipewire audio"
      }
      audio_output {
          type "fifo"
          name "my_fifo"
          path "/tmp/mpd.fifo"
          format "44100:16:2"
      }
      database {
          plugin "proxy"
          host "${master-host}"
          port "6600"
      }
    '';
  };
  programs.ncmpcpp.mpdMusicDir = null;
}
