{ config, pkgs, ... }:

{
  programs.neovim = {
    enable = true;
    viAlias = true;
    vimAlias = true;
    vimdiffAlias = true;
    withPython3 = true;
    extraPackages = with pkgs; [
      black
      efm-langserver
      hlint
      jq
      lua54Packages.luacheck
      nixfmt
      nodePackages.pyright
      pylint
      ruff
      shfmt
      stylua
    ];
    extraPython3Packages = pyPkgs: with pyPkgs; [ pylint ];
    plugins = [ pkgs.vimPlugins.packer-nvim ];
    extraLuaConfig = builtins.readFile ./init.lua;
  };
}
