{ config, pkgs, ... }:

let
  password-store = "${config.home.homeDirectory}/.password-store";
  stores = "${config.home.homeDirectory}/.local/share/gopass/stores";
in {
  programs.password-store = {
    enable = true;
    package = pkgs.pass.withExtensions (exts: [ exts.pass-otp ]);
    settings = {
      PASSWORD_STORE_DIR = password-store;
      PASSWORD_STORE_KEY = "B51D4548A4846E3C8D115C808333CFB0B9D3244D";
    };
  };
  home.packages = [ pkgs.zbar pkgs.gopass ];
  home.file.gopass_config = {
    executable = true;
    target = "${config.xdg.configHome}/gopass/config.yml";
    text = pkgs.lib.generators.toYAML { } {
      autoclip = false;
      autoimport = false;
      cliptimeout = 45;
      exportkeys = true;
      nopager = false;
      notifications = true;
      parsing = true;
      path = password-store;
      safecontent = false;
      mounts = { lan = "${stores}/lan"; };
    };
  };
}
